Magick++: Magick::DrawableArc Class Reference

Magick++ 7.1.0

Public Member Functions | List of all members
Magick::DrawableArc Class Reference

`#include <Drawable.h>`

Inheritance diagram for Magick::DrawableArc:
[legend]
Collaboration diagram for Magick::DrawableArc:
[legend]

## Public Member Functions
| DrawableArc (double startX_, double startY_, double endX_, double endY_, double startDegrees_, double endDegrees_)
| ~DrawableArc (void)
void | operator() (MagickCore::DrawingWand *context_) const
DrawableBase * | copy () const
void | startX (double startX_)
double | startX (void) const
void | startY (double startY_)
double | startY (void) const
void | endX (double endX_)
double | endX (void) const
void | endY (double endY_)
double | endY (void) const
void | startDegrees (double startDegrees_)
double | startDegrees (void) const
void | endDegrees (double endDegrees_)
double | endDegrees (void) const
Public Member Functions inherited from Magick::DrawableBase
| DrawableBase (void)
virtual | ~DrawableBase (void)

## Detailed Description

Definition at line 360 of file Drawable.h.

## Constructor & Destructor Documentation

## ◆ DrawableArc()

Magick::DrawableArc::DrawableArc | ( | double | startX_,
|  | double | startY_,
|  | double | endX_,
|  | double | endY_,
|  | double | startDegrees_,
|  | double | endDegrees_
| ) |  |
| inline

Definition at line 363 of file Drawable.h.

## ◆ ~DrawableArc()

Magick::DrawableArc::~DrawableArc | ( | void |  | ) |

Definition at line 222 of file Drawable.cpp.

## Member Function Documentation

## ◆ copy()

Magick::DrawableBase * Magick::DrawableArc::copy | ( |  | ) | const
| virtual

Reimplemented from Magick::DrawableBase.

Definition at line 229 of file Drawable.cpp.

## ◆ endDegrees() [1/2]

void Magick::DrawableArc::endDegrees | ( | double | endDegrees_ | ) |
| inline

Definition at line 427 of file Drawable.h.

## ◆ endDegrees() [2/2]

double Magick::DrawableArc::endDegrees | ( | void |  | ) | const
| inline

Definition at line 431 of file Drawable.h.

## ◆ endX() [1/2]

void Magick::DrawableArc::endX | ( | double | endX_ | ) |
| inline

Definition at line 400 of file Drawable.h.

## ◆ endX() [2/2]

double Magick::DrawableArc::endX | ( | void |  | ) | const
| inline

Definition at line 404 of file Drawable.h.

## ◆ endY() [1/2]

void Magick::DrawableArc::endY | ( | double | endY_ | ) |
| inline

Definition at line 409 of file Drawable.h.

## ◆ endY() [2/2]

double Magick::DrawableArc::endY | ( | void |  | ) | const
| inline

Definition at line 413 of file Drawable.h.

## ◆ operator()()

void Magick::DrawableArc::operator() | ( | MagickCore::DrawingWand * | context_ | ) | const
| virtual

Reimplemented from Magick::DrawableBase.

Definition at line 225 of file Drawable.cpp.

## ◆ startDegrees() [1/2]

void Magick::DrawableArc::startDegrees | ( | double | startDegrees_ | ) |
| inline

Definition at line 418 of file Drawable.h.

## ◆ startDegrees() [2/2]

double Magick::DrawableArc::startDegrees | ( | void |  | ) | const
| inline

Definition at line 422 of file Drawable.h.

## ◆ startX() [1/2]

void Magick::DrawableArc::startX | ( | double | startX_ | ) |
| inline

Definition at line 382 of file Drawable.h.

## ◆ startX() [2/2]

double Magick::DrawableArc::startX | ( | void |  | ) | const
| inline

Definition at line 386 of file Drawable.h.

## ◆ startY() [1/2]

void Magick::DrawableArc::startY | ( | double | startY_ | ) |
| inline

Definition at line 391 of file Drawable.h.

## ◆ startY() [2/2]

double Magick::DrawableArc::startY | ( | void |  | ) | const
| inline

Definition at line 395 of file Drawable.h.

The documentation for this class was generated from the following files:

- Drawable.h
- Drawable.cpp